For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList jobs
      • POSTCreate a job
      • GETGet a job
      • PATCHUpdate a job
      • DELDelete a job
      • POSTExecute a job
      • GETGet a job's execution plan
      • PUTReplace a job's plan
      • PATCHUpdate a job's plan
      • POSTAcknowledge a job
      • POSTAcknowledge a job outcome
      • POSTComplete a job
      • POSTFail a job
      • POSTCancel a job
      • POSTRetry a failed job
      • POSTPreview a mutation
      • POSTSplit a job
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceJobs

Retry a failed job

POST
https://api.x.flatfile.com/v1/jobs/:jobId/retry
POST
/v1/jobs/:jobId/retry
$curl -X POST https://api.x.flatfile.com/v1/jobs/jobId/retry \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Successful
1{
2 "data": {
3 "createdAt": "2024-01-15T09:30:00Z",
4 "createdBy": "createdBy",
5 "id": "id",
6 "operation": "operation",
7 "source": "source",
8 "type": "file",
9 "updatedAt": "2024-01-15T09:30:00Z",
10 "config": {
11 "filter": "valid",
12 "filterField": "filterField",
13 "searchValue": "searchValue",
14 "searchField": "searchField",
15 "q": "q",
16 "sheet": "sheet",
17 "exceptions": [
18 "exceptions",
19 "exceptions"
20 ],
21 "snapshotLabel": "snapshotLabel"
22 },
23 "destination": "destination",
24 "environmentId": "environmentId",
25 "fileId": "fileId",
26 "finishedAt": "2024-01-15T09:30:00Z",
27 "info": "info",
28 "input": {
29 "input": {
30 "key": "value"
31 }
32 },
33 "managed": true,
34 "metadata": {
35 "metadata": {
36 "key": "value"
37 }
38 },
39 "mode": "foreground",
40 "outcome": {
41 "outcome": {
42 "key": "value"
43 }
44 },
45 "outcomeAcknowledgedAt": "2024-01-15T09:30:00Z",
46 "parentId": "parentId",
47 "part": 1,
48 "partData": {
49 "partData": {
50 "key": "value"
51 }
52 },
53 "partExecution": "sequential",
54 "predecessorIds": [
55 "predecessorIds",
56 "predecessorIds"
57 ],
58 "progress": 1,
59 "result": {
60 "result": {
61 "key": "value"
62 }
63 },
64 "spaceId": "spaceId",
65 "startedAt": "2024-01-15T09:30:00Z",
66 "status": "created",
67 "subject": {
68 "type": "resource",
69 "id": "id"
70 },
71 "trigger": "manual"
72 }
73}
Retry a failt job and return the job
Was this page helpful?
Previous

Preview a mutation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

jobIdstringRequired
ID of job to return

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
A single unit of work that will execute asynchronously